### Method

# Xdp Portal save_file_finish

#### Declaration [src]

    GVariant*
    xdp_portal_save_file_finish (
      XdpPortal* portal,
      GAsyncResult* result,
      GError** error
    )

#### Description [src]

Finishes the save-file request.

Returns the result in the form of a `GVariant` dictionary containing the following fields:

- uris `(as)`: an array of strings containing the uri of the selected file
- choices `a(ss)`: an array of pairs of strings, the first string being the ID of a combobox that was passed into this call, the second string being the selected option.

#### Parameters

`result`

  Type: `GAsyncResult`

  A `GAsyncResult`.

  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `GVariant`

A `GVariant` dictionary with the results.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.